<?php

require __DIR__.'/ckkeys.php';

function getiniarr() {
	$inifp='../../conf/mustard.ini';
	$iniarr=parse_ini_file($inifp)
		or muoribene('Couldn’t open configuration file «'.$inifp.'».',false);
	$missing=ckkeys(['db_host','db_port','db_socket','db_name','db_admin_name','db_admin_password','ref_name','ref_email','site_domain','mail_test_to'],$iniarr);
	if (count($missing)>0)
		muoribene('Configuration file «'.$inifp.'» is missing some required fields: “'.implode('”, “',$missing).'”.',false);
	return($iniarr);
}

$iniarr=getiniarr();

?>
